Skip to main content
GET
Search payments

Query Parameters

limit
integer<int32>

Maximum number of payments returned per page. The default is 10 and the maximum is 100.

Required range: 1 <= x <= 100
nextPageToken
string

Cursor token for fetching the next page of payments.

previousPageToken
string

Cursor token for fetching the previous page of payments.

id
integer<int64>

Filter by payment identifier.

Example:

10300007

debtorBankCode
string

Filter by debtor agent BIC.

Example:

"LUNALT22XXX"

creditorBankCode
string

Filter by creditor agent BIC.

Example:

"NOVALT22XXX"

datetimeFrom
string<date-time>

Filter payments created at or after this UTC timestamp.

Example:

"2026-01-01T00:00:00Z"

datetimeTo
string<date-time>

Filter payments created at or before this UTC timestamp.

Example:

"2026-01-31T23:59:59Z"

settlementDateFrom
string<date>

Filter payments with a settlement date on or after this date.

Example:

"2026-01-01"

settlementDateTo
string<date>

Filter payments with a settlement date on or before this date.

Example:

"2026-01-31"

endToEndId
string

Filter by the end-to-end identifier assigned by the originator.

metadata
string

Filter by an exact client-defined metadata value.

method
enum<string>

Filter by one or more payment methods.

Available options:
SEPA,
INST,
SDD,
SWIFT,
T2
direction
enum<string>

Filter by payment direction.

Available options:
OUTBOUND,
INBOUND
parentPaymentId
integer<int64>

Filter by parent payment identifier.

idOrParentPaymentId
integer<int64>

Filter by a payment identifier or its parent payment identifier.

typeId
integer<int32>

Filter by transaction type identifier. Available identifiers can be retrieved from /getTransactionTypes.

statusIds
integer<int32>[]

Filter by transaction status identifiers. Available identifiers can be retrieved from /getTransactionStatuses.

Filter by transaction status identifiers. Available identifiers can be retrieved from /getTransactionStatuses.

currency
string

ISO 4217 currency used both as a filter and for interpreting all amount range parameters. Defaults to EUR for amount interpretation.

Pattern: ^[A-Z]{3}$
Example:

"EUR"

amountFrom
integer

Minimum payment amount in minor units of currency, inclusive.

Example:

100

amountTo
integer

Maximum payment amount in minor units of currency, inclusive.

Example:

10000

unaccountedTaxAmountFrom
integer

Minimum unaccounted tax amount in minor units of currency, inclusive.

unaccountedTaxAmountTo
integer

Maximum unaccounted tax amount in minor units of currency, inclusive.

compensationAmountFrom
integer

Minimum compensation amount in minor units of currency, inclusive.

compensationAmountTo
integer

Maximum compensation amount in minor units of currency, inclusive.

debtorAccount
string

Filter by debtor account identifier.

creditorAccount
string

Filter by creditor account identifier.

excludePaymentReturns
boolean

Exclude payments that have an existing non-rejected payment return.

Response

Payments returned successfully

data
object[]
required

Payment list items matching the supplied filters, ordered by payment identifier descending.

meta
object
required

Cursor pagination metadata for navigating the result set.

Last modified on August 19, 2026